ExternalDataManagementSystemImmutable (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2.impl, class: ExternalDataManagementSystemImmutable

Package ch.systemsx.cisd.etlserver.registrator.api.v2.impl

# Class ExternalDataManagementSystemImmutable

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.api.v2.impl.ExternalDataManagementSystemImmutable

All Implemented Interfaces:
  `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable`

Direct Known Subclasses:
  `ExternalDataManagementSystem`

public class ExternalDataManagementSystemImmutable extends Object implements ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExternalDataManagementSystemImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.ExternalDataManagementSystem externalDMS)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  `ch.systemsx.cisd.openbis.generic.shared.basic.dto.ExternalDataManagementSystemType`
  `getAddressType()`
  `String`
  `getCode()`
  `String`
  `getLabel()`
  `String`
  `getUrlTemplate()`
  `boolean`
  `isOpenBIS()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExternalDataManagementSystemImmutable

    public ExternalDataManagementSystemImmutable(ch.systemsx.cisd.openbis.generic.shared.basic.dto.ExternalDataManagementSystem externalDMS)

- ## Method Details

  - ### getLabel

    public String getLabel()
    Specified by:
      `getLabel` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable`

  - ### getUrlTemplate

    public String getUrlTemplate()
    Specified by:
      `getUrlTemplate` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable`

  - ### isOpenBIS

    public boolean isOpenBIS()
    Specified by:
      `isOpenBIS` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable`

  - ### getCode

    public String getCode()
    Specified by:
      `getCode` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable`

  - ### getAddress

    public String getAddress()
    Specified by:
      `getAddress` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable`

  - ### getAddressType

    public ch.systemsx.cisd.openbis.generic.shared.basic.dto.ExternalDataManagementSystemType getAddressType()
    Specified by:
      `getAddressType` in interface `ch.systemsx.cisd.openbis.dss.generic.shared.api.internal.v2.IExternalDataManagementSystemImmutable`